# $Revision: 1.47 $, $Date: 2002/07/05 08:26:22 $
%include	/usr/lib/rpm/macros.perl
Summary:	suck receives/sends news via NNTP
Summary(pl):	suck odbiera i wysya newsy przez NNTP
Name:		suck
Version:	4.2.5
Release:	4
License:	Public Domain
Group:		Networking/News
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/news/transport/%{name}-%{version}.tar.gz
#http://home.att.net/~bobyetman/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-perl-5.6.patch
URL:		http://home.att.net/~bobyetman/
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	inn-devel >= 2.0
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	inn-libs >= 2.0
Provides:	news-sucker
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib/suck
%define		_sysconfdir	/etc

%description
The primary use for suck is to feed a local INN or CNEWS server,
without the remote NNTP feeding you articles. It is designed for a
small, partial news feed. It is NOT designed to feed 10,000 groups and
3 Gigs of articles a day.

Read %{_defaultdocdir}/%{name}-%{version}/README.FIRST.gz after
installing this package!

%description -l pl
suck dostarcza posty lokalnemu serwerowi newsw, INN-owi albo
CNEWS-owi, przed zdalnym serwerem udajc zwyky czytnik, a wic bez
wymagania konfiguracji feedu z tamtej strony. Jest przeznaczony do
maego, czciowego feedu. Nie jest przeznaczony dla 10000 grup i 3 GB
postw dziennie.

Przeczytaj %{_defaultdocdir}/%{name}-%{version}/README.FIRST.gz po
zainstalowaniu tego pakietu!

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
PERL_CORE_PLD="`perl -MConfig -e 'print $Config{archlib}'`/CORE"
PERL_LIB_PLD="`perl -MExtUtils::Embed -e ldopts | tail -1`"
export PERL_CORE_PLD PERL_LIB_PLD
aclocal
%{__autoconf}
%configure

# workaround for stupid inn 2.3 headers
#echo -e '#define HAVE_STRDUP\n#define HAVE_STRSPN' >> config.h
echo -e '#define BOOL int\n#define OFFSET_T off_t' >> config.h

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_localstatedir},/etc/logrotate.d} \
	$RPM_BUILD_ROOT/var/log

%{__make} installall DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install sample/put.news \
	sample/put.news.sm \
	sample/get.news.* \
	sample/*.pl \
	$RPM_BUILD_ROOT%{_localstatedir}
install sample/sucknewsrc.sample \
	$RPM_BUILD_ROOT%{_localstatedir}/sucknewsrc

touch $RPM_BUILD_ROOT/var/log/suck.errlog
touch $RPM_BUILD_ROOT%{_localstatedir}/suck.killlog

cat > $RPM_BUILD_ROOT%{_localstatedir}/active-ignore <<EOF
control
control.cancel
junk
to
test
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc  CHANGELOG CONTENTS README README.Gui README.Xover README.FIRST sample perl
%attr(755,root,root) %{_bindir}/*

%config %{_sysconfdir}/logrotate.d/suck
%dir %{_localstatedir}
%attr(750,root,root) %config(noreplace) %{_localstatedir}/get.news.inn
%attr(750,root,root) %config(noreplace) %{_localstatedir}/get.news.generic
%attr(750,root,root) %config(noreplace) %{_localstatedir}/put.news
%attr(750,root,root) %config(noreplace) %{_localstatedir}/put.news.sm
%attr(750,root,root) %config(noreplace) %{_localstatedir}/*.pl
%attr(640,root,root) %config(noreplace) %{_localstatedir}/sucknewsrc
%attr(640,root,root) %config(noreplace) %{_localstatedir}/active-ignore
%{_mandir}/man1/*

%attr(640,root,root) %ghost %{_localstatedir}/suck.killlog*
%attr(640,root,root) %ghost /var/log/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: suck.spec,v $
Revision 1.47  2002/07/05 08:26:22  marcus
- use new %%doc
- rel.4.

Revision 1.46  2002/05/21 23:14:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.45  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.44  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/11/10 19:08:50  speedy
some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.41  2001/09/30 21:32:04  qboosh
- BuildRequires: autoconf, automake

Revision 1.40  2001/09/30 15:54:31  blues
- release 3
- ac2.5 ready

Revision 1.39  2001/05/05 19:38:48  kloczek
- BuildRequires for perl >= 5.6 changed to perl-devel >= 5.6.1.

Revision 1.38  2001/04/17 12:19:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.37  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.36  2001/02/26 22:25:28  qboosh
- 4.2.5, updated Source0 URL
- updated PLD patch (merged with inn-sm patch), removed obsolete crlf patch

Revision 1.35  2001/02/19 11:25:44  kloczek
- cosmetics.

Revision 1.34  2001/02/16 21:23:43  qboosh
- crlf patch: fix bug causing not adding CR to 10-char lines (it confused inn)
- inn-sm patch: use put.news.sm and invoke rpost w/o -p switch
- added control.cancel to active-ignore
- release 3

Revision 1.33  2001/01/27 19:52:39  kloczek
- spec adapterized and added using rpm automation,
- few cosmetics and simplifications,
- Buildrequires for perl >= 5.6 (not for only perl),
- added noreplace parameters for all %config files.

Revision 1.32  2001/01/27 19:06:17  qboosh
- perl-5.6 compatibility patch
- workaround for inn 2.3 includes
- PLD.patch: linking with -ldb (needed for inn 2.3)
- use put.news.sm by default
- release 2

Revision 1.31  2000/08/27 21:18:31  kloczek
- updated to 4.2.4.

Revision 1.30  2000/08/17 16:43:54  baggins
- it does not buildrequire inn-static

Revision 1.29  2000/08/04 18:38:55  baggins
- requires inn-libs, not inn

Revision 1.28  2000/08/04 18:37:34  baggins
- release 3
- rebuild against inn-2.2.3-2

Revision 1.27  2000/08/03 06:34:33  kloczek
- spec adapterized.

Revision 1.26  2000/08/01 15:11:58  baggins
- removed gawk from requires

Revision 1.25  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/04/28 18:54:46  bonkey
- +buildrequires: inn-static

Revision 1.22  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.21  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.19  2000/02/28 08:10:07  kloczek
- updated to 4.2.3.

Revision 1.18  1999/12/13 20:55:05  alchemyx
- changed logrotate name

Revision 1.17  1999/11/16 22:52:10  pius
- added DESTDIR support
- fixed linking with perl library
- added using %%configure macro
- reorder in header
- added more rpm macros
- fixed files permissions and ownership
- added logs to %%files instead of creating them in %%post
- other minor changes
- release 2

Revision 1.16  1999/11/02 09:19:44  waszi
- fixes for inn

Revision 1.15  1999/09/03 20:26:30  pius
- updated to 4.2.2

Revision 1.14  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed May 26 1999 Piotr Czerwiski <pius@pld.org.pl>
  [4.2.1-1]
- updated to 4.2.1,
- added more macros.

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl>
  [4.2.0-2]
- package is FHS 2.0 compliant,
- based on spec file written by Ian Macdonald <ianmacd@xs4all.nl>, rewritten
  for PLD use by me and Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>.
